package org.xdprof.data;

import java.util.*;

public class ClassInfo
{
	private final ClassIdentifier m_classID;
	private final String m_name, m_source;
	
	/**
	 * Set of methodID's ???
	 */
	//private Set m_methods = new HashSet();
	
	public String getName()
	{
		return m_name;
	}
	
	public String getSource()
	{
		return m_source;	
	}
	
	public ClassIdentifier getClassID()
	{
		return m_classID;
	}
	
	public ClassInfo(ClassIdentifier classID, String className, String classSource)
	{
		m_classID = classID;
		m_name = className.replace('/', '.');
		m_source = classSource;
	}
	
	public String toString()
	{
		return m_name + " " + m_source;
	}
}
