package org.xdprof.server;
import org.xdprof.util.*;

/**
 * Various tests.
 */
public class Tests
{
	/**
	 * No instantiation.
	 */
	private Tests()
	{
	}
	static final String unmangle(final String s) throws NumberFormatException 
	{
		int i = 0;
		int space = s.indexOf(' ');
		final int last = s.length();
		final StringBuffer sb = new StringBuffer(last/2);
		while (i < last)
		{
			space = s.indexOf(' ', i);
			if (space == -1) space = last;
			sb.append((char)Integer.parseInt(s.substring(i, space)));
			i = space + 1;
		}
		return sb.toString();
	}
	
	/**
	 * Run a few tests.
	 * @param args not used
	 */
	public static void main(String[] args)
	{
		Debug.trace("Main.");
		String[][] foo = { {"Ba_#$!!@$!@DCASER", "66 97 95 35 36 33 33 64 36 33 64 68 67 65 83 69 82"},
						   {"FooBar", "70 111 111 66 97 114"},
						   {"a", "97"},
						   {"\"", "34"},
						   {"a\n\tc", "97 " + (int)'\n' + " " + (int)'\t' + " 99"},
						   {"",""}};
		for (int i = 0; i < foo.length; i++)
		{
			Assert.assertEquals(foo[i][0], foo[i][0], unmangle(foo[i][1]));
		}

	}	
}
